Keystone-rest-definition
    • Company information data
      GET
    • Get trips data authorized at gate
      GET
    • Retrieve inspections by country code and plate number
      GET
    • Send inspection related to a trip
      POST
    • Send alert related to a trip
      POST
    • Get trips data authorized at gate
      GET
    • Login validation
      POST
    • Get the alerts by filters
      GET
    • Number of trucks per gate
      GET
    • Get all phases
      GET
    • Get current trip data
      GET
    • Get the driver traffic violation data
      GET
    • Get the driver tachograph data
      GET
    • Set loading data per trip
      POST
    • Get the truck inspection data
      GET
    • Get trips data scheduled to arrive at location within number of hours
      GET
    • Get trips data
      GET
    • Terminal information data
      GET
    • Get the driver license data
      GET
    • Get CMR data
      GET
    • Get eta
      GET
    • Get the truck insurance data
      GET
    • Get the truck owner data
      GET
    • Get unloading data per trip
      GET
    • Get the driver professional qualification certificate data
      GET
    • Schemas
      • Sample Schemas
        • Pet
        • Category
        • Tag
      • Schemas
        • company
        • tachograph
        • trafficViolationData
        • terminal
        • pdqc

      Get the driver tachograph data

      GET
      /driverdata/tachograph/{countrycode}/{platenumber}

      Request

      Path Params

      Query Params

      Responses

      🟢200OK
      application/json
      Success
      Body

      🟠404Record Not Found
      🟠422Parameter Error
      🔴500Server Error
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET '/driverdata/tachograph//?page&limit'
      Response Response Example
      200 - Example 1
      {
          "total": 23,
          "page": 1,
          "pageSize": 5,
          "content": [
              {
                  "driverName": "string",
                  "driverFiscalCode": "string",
                  "checkDatetime": "2019-08-24T14:15:22.123Z",
                  "drivingExceedingTimeLimit": {
                      "tachographCardId": "string",
                      "drivingInterval": {
                          "begin": "2019-08-24T14:15:22.123Z",
                          "end": "2019-08-24T14:15:22.123Z"
                      },
                      "exceedingTimeLimits": {
                          "exceedingTimeType": "string",
                          "hours": 0,
                          "minutes": 0,
                          "seconds": 0
                      }
                  }
              }
          ]
      }
      Modified at 2025-06-06 10:46:56
      Previous
      Get the driver traffic violation data
      Next
      Set loading data per trip
      Built with